#
# spec file for package ghc-avers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name avers
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.0.17.1
Release:        19.4
Summary:        Server-side implementation of the Avers storage model
License:        GPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/16.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-MonadRandom-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-inflections-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-resource-pool-devel
BuildRequires:  ghc-rethinkdb-client-driver-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-scrypt-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-cryptohash-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
This is the server-side implementation of the Avers storage model. It is a
Haskell library, intended to be used by your application. The library provides
you with everything you need to write your own Avers server. You can create and
patch objects and collections thereof. It has builtin support for sessions,
authentication and managing blobs. The database is not configurable.
Avers is currently hardcoded to use RethinkDB.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Fri Aug 25 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 16.
  A more detailed change log is not available.
* Sat Aug 12 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 15.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Fri Jul 28 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 14.
* Tue Jul 18 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 12.
* Wed May 31 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 11.
* Wed Apr 26 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 10 with cabal2obs.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 9 with cabal2obs.
* Tue Apr  4 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 8 with cabal2obs.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 7 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.0.17.1 revision 6 with cabal2obs.
